package com.fjhx.purchase.controller.subscribe;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.purchase.entity.subscribe.dto.SubscribeDto;
import com.fjhx.purchase.entity.subscribe.dto.SubscribeSelectDto;
import com.fjhx.purchase.entity.subscribe.vo.SubscribeVo;
import com.fjhx.purchase.service.subscribe.SubscribeService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 申购单流程 前端控制器
 * </p>
 *
 * @author 
 * @since 2023-04-03
 */
@RestController
@RequestMapping("/subscribe/flow")
public class SubscribeFlow {

    @Autowired
    private SubscribeService subscribeService;

    /**
     * 申购单分页
     */
    @PostMapping("/page")
    public Page<SubscribeVo> page(@RequestBody SubscribeSelectDto dto) {
        return subscribeService.getPage(dto);
    }

    /**
     * 申购单明细
     */
    @PostMapping("/detail")
    public SubscribeVo detail(@RequestBody BaseSelectDto dto) {
        return subscribeService.detail(dto.getId());
    }

    /**
     * 申购单新增
     */
    @PostMapping("/add")
    public void add(@RequestBody SubscribeDto subscribeDto) {
        subscribeService.add(subscribeDto);
    }

    /**
     * 申购单编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody SubscribeDto subscribeDto) {
        subscribeService.edit(subscribeDto);
    }

    /**
     * 申购单删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        subscribeService.delete(dto.getId());
    }

}
