package com.fjhx.purchase.service.subscribe.impl;

import com.fjhx.purchase.entity.subscribe.po.Subscribe;
import com.fjhx.purchase.mapper.subscribe.SubscribeMapper;
import com.fjhx.purchase.service.subscribe.SubscribeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.purchase.entity.subscribe.vo.SubscribeVo;
import com.fjhx.purchase.entity.subscribe.dto.SubscribeSelectDto;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.fjhx.purchase.entity.subscribe.dto.SubscribeDto;
import cn.hutool.core.bean.BeanUtil;


/**
 * <p>
 * 申购单 服务实现类
 * </p>
 *
 * @author 
 * @since 2023-04-03
 */
@Service
public class SubscribeServiceImpl extends ServiceImpl<SubscribeMapper, Subscribe> implements SubscribeService {

    @Override
    public Page<SubscribeVo> getPage(SubscribeSelectDto dto) {
        IWrapper<Subscribe> wrapper = getWrapper();
        wrapper.orderByDesc("s", Subscribe::getId);
        Page<SubscribeVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public SubscribeVo detail(Long id) {
        Subscribe Subscribe = this.getById(id);
        SubscribeVo result = BeanUtil.toBean(Subscribe, SubscribeVo.class);
        return result;
    }

    @Override
    public void add(SubscribeDto subscribeDto) {
        this.save(subscribeDto);
    }

    @Override
    public void edit(SubscribeDto subscribeDto) {
        this.updateById(subscribeDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
